# It's extremely hard to package asciidoctor, so just including binaries here

%global _maven_metadata_dir /usr/share/maven-metadata

Name:		asciidoctor-maven-plugin
Version:	1.6.0
Release:	0.3%{?dist}
Summary:	AsciiDoctor Maven Plugin
License:	ASL 2.0
URL:		https://github.com/asciidoctor/asciidoctor-maven-plugin
SOURCE0:	https://repo1.maven.org/maven2/org/asciidoctor/asciidoctor-maven-plugin/%{version}/asciidoctor-maven-plugin-%{version}.pom
SOURCE1:	https://repo1.maven.org/maven2/org/asciidoctor/asciidoctor-maven-plugin/%{version}/asciidoctor-maven-plugin-%{version}.jar
SOURCE2:	asciidoctor-maven-plugin.xml
SOURCE3:	https://www.apache.org/licenses/LICENSE-2.0.txt

BuildArch:	noarch

BuildRequires:	java-11-openjdk-devel
BuildRequires:	maven-local

Provides:	mvn(org.asciidoctor:asciidoctor-maven-plugin) = %{version}
Provides:	mvn(org.asciidoctor:asciidoctor-maven-plugin:pom:) = %{version}

Requires:	(java-headless or java-11-headless)
Requires:	javapackages-filesystem
Requires:	mvn(commons-io:commons-io)
Requires:	mvn(org.asciidoctor:asciidoctorj)
Requires:	mvn(org.apache.maven:maven-core)
Requires:	mvn(org.apache.maven:maven-plugin-api)
Requires:	mvn(org.apache.maven.doxia:doxia-core)
Requires:	mvn(org.apache.maven.doxia:doxia-module-xhtml)
Requires:	mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
Requires:	mvn(org.apache.maven.shared:maven-filtering)
Requires:	mvn(org.codehaus.plexus:plexus-interpolation)
Requires:	mvn(org.codehaus.plexus:plexus-utils)
Requires:	mvn(org.jruby:jruby)
Requires:	mvn(org.spockframework:spock-core)
Requires:	mvn(io.netty:netty-codec-http)

%description
%{name} provides Asciidoctor Maven Plugin and Doxia Parser (for Maven Site integration)


%install
# Change reference from jruby-complete to jruby as jruby-complete is not packaged
%pom_change_dep org.jruby:jruby-complete org.jruby:jruby %{SOURCE0}

mkdir -p %{buildroot}%{_mavenpomdir}/%{name}
cp -p %{SOURCE0} %{buildroot}%{_mavenpomdir}/%{name}/%{name}.pom
mkdir -p %{buildroot}%{_javadir}/%{name}
cp -p %{SOURCE1} %{buildroot}%{_javadir}/%{name}/%{name}.jar
mkdir -p %{buildroot}%{_maven_metadata_dir}
cp -p %{SOURCE2} %{buildroot}%{_maven_metadata_dir}/%{name}.xml

cp %{SOURCE3} LICENSE

%files
%license LICENSE
%{_mavenpomdir}/%{name}/%{name}.pom
%{_javadir}/%{name}/%{name}.jar
%{_maven_metadata_dir}/%{name}.xml


%changelog
* Thu Mar 17 2022 Martin Perina <mperina@redhat.com> - 1.6.0-0.3
- Fix dependency on JRuby

* Tue Mar 01 2022 Martin Perina <mperina@redhat.com> - 1.6.0-0.2
- Fix wrong dependency on org.apache.maven.plugin-tools:maven-plugin-annotations

* Tue Mar 01 2022 Martin Perina <mperina@redhat.com> - 1.6.0-0.1
- Initial RPM release
- Just bundled JARs

